---
title: droneci_runner_docker
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.droneci_runner_docker) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.droneci_runner_docker?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.droneci_runner_docker) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.droneci_runner_docker/src/branch/main/LICENSE)

Setup Drone CI docker runner

<!--more-->

- [Default Variables](#default-variables)
  - [droneci_drone_runner_labels](#droneci_drone_runner_labels)
  - [droneci_runner_docker_capacity](#droneci_runner_docker_capacity)
  - [droneci_runner_docker_container_name](#droneci_runner_docker_container_name)
  - [droneci_runner_docker_image](#droneci_runner_docker_image)
  - [droneci_runner_docker_memory_limit](#droneci_runner_docker_memory_limit)
  - [droneci_runner_docker_memory_reservation](#droneci_runner_docker_memory_reservation)
  - [droneci_runner_docker_networks](#droneci_runner_docker_networks)
  - [droneci_runner_docker_networks_applied](#droneci_runner_docker_networks_applied)
  - [droneci_runner_docker_restart_policy](#droneci_runner_docker_restart_policy)
  - [droneci_runner_docker_server_host](#droneci_runner_docker_server_host)
  - [droneci_runner_docker_server_proto](#droneci_runner_docker_server_proto)
  - [droneci_runner_docker_server_secret](#droneci_runner_docker_server_secret)
  - [droneci_runner_docker_service_directory](#droneci_runner_docker_service_directory)
  - [droneci_runner_docker_service_stopped](#droneci_runner_docker_service_stopped)
  - [droneci_runner_docker_socket_path](#droneci_runner_docker_socket_path)
  - [droneci_runner_docker_version](#droneci_runner_docker_version)
- [Dependencies](#dependencies)

---

## Default Variables

### droneci_drone_runner_labels

#### Default value

```YAML
droneci_drone_runner_labels: []
```

### droneci_runner_docker_capacity

#### Default value

```YAML
droneci_runner_docker_capacity: 2
```

### droneci_runner_docker_container_name

#### Default value

```YAML
droneci_runner_docker_container_name: droneci_runner_docker
```

### droneci_runner_docker_image

#### Default value

```YAML
droneci_runner_docker_image: drone/drone-runner-docker:{{ droneci_runner_docker_version
  }}
```

### droneci_runner_docker_memory_limit

#### Default value

```YAML
droneci_runner_docker_memory_limit: _unset_
```

#### Example usage

```YAML
droneci_runner_docker_memory_limit: 512m
```

### droneci_runner_docker_memory_reservation

#### Default value

```YAML
droneci_runner_docker_memory_reservation: _unset_
```

#### Example usage

```YAML
droneci_runner_docker_memory_reservation: 256m
```

### droneci_runner_docker_networks

#### Default value

```YAML
droneci_runner_docker_networks:
  - name: droneci_default
    external: true
```

#### Example usage

```YAML
droneci_runner_docker_networks:
  - name: default
    # optional network driver, defaults to 'bride'
    driver: host
```

### droneci_runner_docker_networks_applied

#### Default value

```YAML
droneci_runner_docker_networks_applied:
  - droneci_default
```

### droneci_runner_docker_restart_policy

#### Default value

```YAML
droneci_runner_docker_restart_policy: always
```

### droneci_runner_docker_server_host

#### Default value

```YAML
droneci_runner_docker_server_host: droneci
```

### droneci_runner_docker_server_proto

#### Default value

```YAML
droneci_runner_docker_server_proto: http
```

### droneci_runner_docker_server_secret

#### Default value

```YAML
droneci_runner_docker_server_secret: myveryownsecret
```

### droneci_runner_docker_service_directory

#### Default value

```YAML
droneci_runner_docker_service_directory: /var/lib/docker/services/droneci_runner_docker
```

### droneci_runner_docker_service_stopped

#### Default value

```YAML
droneci_runner_docker_service_stopped: false
```

### droneci_runner_docker_socket_path

#### Default value

```YAML
droneci_runner_docker_socket_path: /var/run/docker.sock
```

### droneci_runner_docker_version

#### Default value

```YAML
droneci_runner_docker_version: latest
```



## Dependencies

None.
